# $Revision: 1.25 $, $Date: 2005/03/01 13:50:51 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
Summary:	Net::Gadu Perl module - interface for libgadu.so library
Summary(pl):	Modu Perla Net::Gadu - interfejs do biblioteki libgadu.so
Name:		perl-Net-Gadu
Version:	1.0
Release:	1
License:	LGPL
Vendor:		Marcin Krzyzanowski
Group:		Development/Languages/Perl
Source0:	http://krzak.linux.net.pl/perl/Net-Gadu-%{version}.tar.gz
# Source0-md5:	3ecaa710a17b7ffe58c0154cfdc9c867
URL:		http://krzak.linux.net.pl/perl/perlgadu.html
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	libgadu-devel >= 1:20020807
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::Gadu module is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library (a part
of Ekg project - http://dev.null.pl/ekg/).

%description -l pl
Modu Net::Gadu pozwala na zastosowanie w swoich skryptach komunikacji
bazujcej na protokole Gadu-Gadu. Wykorzystuje bibliotek libgadu.so,
ktora jest czci projektu Ekg (http://dev.null.pl/ekg/).

%prep
%setup -q -n Net-Gadu-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install ex/ex1 example.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README example.pl contrib
%dir %{perl_vendorarch}/auto/Net/Gadu
%{perl_vendorarch}/auto/Net/Gadu/autosplit.ix
%{perl_vendorarch}/auto/Net/Gadu/Gadu.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Gadu/Gadu.so
%{perl_vendorarch}/Net/Gadu.pm
%{_mandir}/man3/Net::Gadu.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Gadu.spec,v $
Revision 1.25  2005/03/01 13:50:51  krzak
- up to 1.0

Revision 1.24  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.23  2004/05/06 13:31:19  ankry
- license fixed:
15:26 <@krzak> ankry_: oj... oj.... mowie ze jest GPL, musislabym robic release
               jakies a nie pamietam hasla na cpan

Revision 1.22  2004/04/26 23:05:37  ankry
- added tests, license fixes

Revision 1.21  2004/04/15 05:31:32  ankry
- cosmetics, unification

Revision 1.20  2004/02/12 11:26:42  ankry
- rel. 4 for ac

Revision 1.19  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.18  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.17  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/05/10 20:24:19  radek
- added epoch to required libgadu-devel version

Revision 1.14  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.13  2003/03/01 20:21:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.11  2002/08/15 12:04:01  krzak
- new version 0.9

Revision 1.10  2002/08/07 13:13:49  krzak
- remove Conflicts

Revision 1.9  2002/08/07 11:31:42  krzak
- update to libgadu 20020807
- add Conflicts:      perl >= 5.8 ( because it won't work with perl 5.8 )

Revision 1.8  2002/07/22 11:07:13  ankry
- pl translation fixes
- don't use macros in Name: it decreases readability
- Changes does not exist

Revision 1.7  2002/07/22 08:53:54  baseciq
- bumped up br: libgadu-devel to newest version
- bumped up release
- STBR please, current version on ftp requires older libgadu and makes
  conflicts while upgradeing libgadu

Revision 1.6  2002/07/20 15:04:33  qboosh
- fixed permissions, release 2

Revision 1.5  2002/07/10 00:59:35  kloczek
- cosmetics.

Revision 1.4  2002/07/07 21:27:37  baseciq
- up to 0.8

Revision 1.3  2002/06/11 19:19:57  baseciq
- changed buildrequires

Revision 1.2  2002/06/11 14:34:39  baseciq
- up to 0.7
- added contrib/irssi_gg.pl

Revision 1.1  2002/06/06 20:10:44  baseciq
- initial spec
- STBR->test

